Skip to main content

Get resident insurance by ID

GEThttps://api.propexo.com/v1/resident-insurance/:resident_insurance_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_insurance_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the resident insurance

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: renter-123
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 1789
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RENTVINE

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 732
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 123
    x_resident_idstring | nullnullablerequired

    The external ID of the resident from the integration vendor

    Important

    This is the x_id of the primary resident on the lease.

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 843
    providerstring | nullnullablerequired

    The insurance provider name

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: Federal Farm
    insurance_typestring | nullnullablerequired

    The type of insurance

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: RENTERS
    policy_numberstring | nullnullablerequired

    The insurance policy number

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 123456ABC
    effective_datestring | nullnullablerequired

    The date the insurance becomes effective

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 2025-01-01T00:00:00.000Z
    expiration_datestring | nullnullablerequired

    The date the insurance expires

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: 2026-02-01T00:00:00.000Z
    cancellation_datenullrequired

    The date the insurance was cancelled

    Notice

    This field will always be null for RENTVINE

    Example: null
    liability_amount_in_centsnullrequired

    The liability amount in cents

    Notice

    This field will always be null for RENTVINE

    Example: null
    liability_amount_rawnullrequired

    The raw liability amount string

    Notice

    This field will always be null for RENTVINE

    Example: null
    notesnullrequired

    Additional notes about the insurance

    Notice

    This field will always be null for RENTVINE

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum22required

    The property management system of record

    Show 13 enum values
    RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_REST
    Example: RENTVINE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: cmafjtnbs7137671592w5sghl13ntbv3
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: cmafjtnbs71376715461q85x9l18cutc1
    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    Important

    This is the ID of the primary resident on the lease.

    InterfaceMethod
    LeasesGET /api/manager/leases/{leaseID}
    Example: cmafjtnbs7137671404n5hx1e17nvrw4

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/resident-insurance/:resident_insurance_id
curl https://api.propexo.com/v1/resident-insurance/:resident_insurance_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "renter-123",
"x_property_id": "1789",
"x_location_id": null,
"x_unit_id": "732",
"x_lease_id": "123",
"x_resident_id": "843",
"provider": "Federal Farm",
"insurance_type": "RENTERS",
"policy_number": "123456ABC",
"effective_date": "2025-01-01T00:00:00.000Z",
"expiration_date": "2026-02-01T00:00:00.000Z",
"cancellation_date": null,
"liability_amount_in_cents": null,
"liability_amount_raw": null,
"notes": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cmafjtnbs7137671592w5sghl13ntbv3",
"lease_id": "cmafjtnbs71376715461q85x9l18cutc1",
"resident_id": "cmafjtnbs7137671404n5hx1e17nvrw4"
}
}